<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SkeletonInstance.html">SkeletonInstance</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::SkeletonInstance Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a2925d23c3c60d4344e531676a01e9af6">_buildMapBoneByHandle</a>(const Skeleton *source, BoneHandleMap &amp;boneHandleMap) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#ac3ec63b7b9f044b8fb0b0b3c76f7bf72">_buildMapBoneByName</a>(const Skeleton *source, BoneHandleMap &amp;boneHandleMap) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#afcb4a61b965600a67ca2c2f060821db9">_dirtyState</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a4bff56a558381025a2be16e2a4a76b02">_dumpContents</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a893c7a150edb48a25e5df700cfc194eb">_fireLoadingComplete</a>(bool wasBackgroundLoaded)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a77d5f72e02500f6db6f460bb48eac721">_firePreparingComplete</a>(bool wasBackgroundLoaded)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a4b5d014a4d078b7893cce480b264c493">_fireUnloadingComplete</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#ab80de0dc06b8c3c5c5e41fd89e030503">_getAnimationImpl</a>(const String &amp;name, const LinkedSkeletonAnimationSource **linker=0) const </td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#ad7be2212dc5ff2719a4411b7d4d7245c">_getBoneMatrices</a>(Matrix4 *pMatrices)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#ac8cced53b3d07f8a208d570a3283e09c">_initAnimationState</a>(AnimationStateSet *animSet)</td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a0cc03e92fdf49c21fee8aa40631e276b">_mergeSkeletonAnimations</a>(const Skeleton *source, const BoneHandleMap &amp;boneHandleMap, const StringVector &amp;animations=StringVector())</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a03b44f6388b5186b1fb27b18810d0757">_notifyManualBonesDirty</a>(void)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#acaf9b4811f0308062df913e3f280bbdc">_notifyManualBoneStateChange</a>(Bone *bone)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a3d111616339484f39c9456eeec6fd843">_notifyOrigin</a>(const String &amp;origin)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#ad539e462a527a8d2adab04b1bea7c1ec">_refreshAnimationState</a>(AnimationStateSet *animSet)</td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a5d4648d138e39e3ca34f76558bfedf55">_updateTransforms</a>(void)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#a7fd5e6f7ba60653d95a0bdb93dc7d271">addLinkedSkeletonAnimationSource</a>(const String &amp;skelName, Real scale=1.0f)</td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a5513ffce404b14cff72846318b018d32">addListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a0da79ff61521994b338e4818822acf69">AnimationList</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a8abe9156a0ce2a08c9f60aa1de097796">BoneHandleMap</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a9174ebaa5262a5aee4dff1978bb80412">BoneIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a7b773aab734f2f517897931dcb84a1e8">BoneList</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a4b23538c9d0cdf6a59e0ab9852505811">BoneListByName</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#ab2a0ebba29e7b88dc30ae8b68973b7a6">BoneSet</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#afa83f6f72123b2e69ca5e96951934209">calculateSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aa5d6f3f7e73b77b233fc62b11f270e4d">changeGroupOwnership</a>(const String &amp;newGroup)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#a4bb0775ab31784d45c9daad4e6323ce4">cloneBoneAndChildren</a>(Bone *source, Bone *parent)</td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a>(StringInterface *dest) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#a1a56402928aa992450dd5fee8a98cdc1">createAnimation</a>(const String &amp;name, Real length)</td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#aee9db3459a5b94aab9cc58873fbf5650">createBone</a>(void)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a15017c0c32eecca545bc00628e1afffd">createBone</a>(unsigned short handle)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a8eccb87bb5898be99a2bc1814c4b7d6e">createBone</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#acebcf6ced62ea297e793dd873810ac76">createBone</a>(const String &amp;name, unsigned short handle)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a681773443d95aea05a486c5d22c15bd1">createParamDictionary</a>(const String &amp;className)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#a45cda97571ad4c6b84be2e67a9640485">createTagPointOnBone</a>(Bone *bone, const Quaternion &amp;offsetOrientation=Quaternion::IDENTITY, const Vector3 &amp;offsetPosition=Vector3::ZERO)</td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a9d9c5ac30c97a9c17b234db9a2fb259c">deriveRootBone</a>(void) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a367f6fe60bb211cb4c32e3825ca67e4c">escalateLoading</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#afdacdbc5588aec9c3d157c51b51e9697">freeTagPoint</a>(TagPoint *tagPoint)</td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#abde81f30a3a5dadb1b7cbd31af9a941c">getAnimation</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#a4e28b28eee09fa11764a8de04c817ce7">getAnimation</a>(const String &amp;name, const LinkedSkeletonAnimationSource **linker=0) const </td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#af804e558161dc8163576db32aff753c7">Ogre::Skeleton::getAnimation</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a189b77d08db99131a57902ba0a8a5db1">getBlendMode</a>() const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a0d61926046b3e6d1623d38c5623e503c">getBone</a>(unsigned short handle) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#aaf3fd9e188e2b211bdf69630d2db4efa">getBone</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a397bf260ff70afd076cd7be9d163fc35">getBoneIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a741224f735dfd9ce324a4e8e621d868c">getCreator</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#ac20f409d3b79263d0b724f258aa529df">getGroup</a>(void)</td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae712b3ff458ccbf8e1ff1e33d695bf60">Ogre::Skeleton::getGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#ac91d0667e7a2ece6e02a8ad7a9808d6d">getHandle</a>(void) const </td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#abc443d379e802d1ecdf0adb9c2e28981">getLinkedSkeletonAnimationSourceIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a76029b0c460f49dc544015d69befe091">getLoadingState</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#abe8363fb958cb666ac2c12cb9cde844f">getManualBonesDirty</a>(void) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#a714abc6ab33073da0a70b62ffe5017b1">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#ada73e03580cbb19759266b40c77a3a79">getNumAnimations</a>(void) const </td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#adb6133f1881a894696049e49fbc1cb2c">getNumBones</a>(void) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a8e4b0066ed588a49cdf474e9870bfcb4">getOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ae3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a>(void)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a57397ce47f649e66c5654da05207df0b">getParameter</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a6014584c477ebf3f821930ad2ee20bcb">getRootBone</a>(void) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#ab385926120199e5a6535729f931c6367">getRootBoneIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aa8e96b7bb387708db2161f7f982407c6">getSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a9fef5e371f8e94141624a151ac12e695">getStateCount</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a18184eb769fc7981fd12947e5107cb45">hasAnimation</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a37f213863df8c6c27df4f40f8c06a527">hasBone</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#ac9a9e603f2da6248b004f3f958a69664">hasManualBones</a>(void) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae20969c8754d9c939b4d88b4a9eefd08">isBackgroundLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a10bba19766b989cbe5a953c78d3e6bb4">isLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a23136f099efe86c1134dca0a959ba626">isLoading</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#afa5615006905ffb68d6e52449306565f">isManuallyLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aab3672d493ff4ef995520daf6f5067f0">isPrepared</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aadcc4a98a8450506e6b55800db72d414">isReloadable</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#ae93aeeef114b2c5d9db170d0beda944b">LinkedSkeletonAnimSourceIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#ac2559ddaccbf43ffc97330573c9561fd">LinkedSkeletonAnimSourceList</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a7395c6b8451100dd30e688595b5ff2c6">ListenerList</a> typedef</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a699d1c851f494a8d5d23d23b695ceb47">load</a>(bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#ab2dc8cc47d9961f03bb1a4b33acfdc26">loadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572c">LoadingState</a> enum name</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572caa38cbef7605fc4bff6da2f34599ace8f">LOADSTATE_LOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572caf138fc9087e0dc755bff08a83720cbb5">LOADSTATE_LOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572ca133a073b86c346096237063f99870fc1">LOADSTATE_PREPARED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572cab43c913411f4a96722902f17b88f10fb">LOADSTATE_PREPARING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572ca28d463296cacdfc115dbc3fb02d00e94">LOADSTATE_UNLOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572ca4228d390b3a9ed614001db177d1f441e">LOADSTATE_UNLOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#a9eb0e828ad76dac4111687b772de6df1">mActiveTagPoints</a></td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#ad9304a32da9742c346eb2c24dfeaef94">mAnimationsList</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a20571d720d0f33cbc98adba63bec3b3d">mBlendState</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a0164943c64c4d4634046c40eba6c6914">mBoneList</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a51de68b26bf9a15ef399686713ac739b">mBoneListByName</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a79c8dbcaa3f5359186352418383e1046">mCreator</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#acc4b5ecb34152eff6a28efa880ae00c1">mFreeTagPoints</a></td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a416b0fb05b6c9f03e11d0d8c4e2cbeea">mGroup</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a269fd910e51c66290e0ffe5c2ac134d3">mHandle</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a6b9f18275f5f5a4dc3b83f23027a5d78">mIsBackgroundLoaded</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a14dce433a68055e7683aa872c197d1d8">mIsManual</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#ad714391a25cdf4eb435c269d882e7904">mLinkedSkeletonAnimSourceList</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a94e78b7ae5be758c317ae1e8c4e14f1b">mListenerList</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a11c91bed31936b5dec39e30d77498470">mLoader</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a9c01143012af1b51e648f40e0038476a">mLoadingState</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a22374d7c595a7aacc812906b025d41f0">mManualBones</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#aa41c36e353417b99d64c31fb8a39c3af">mManualBonesDirty</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a18a3db85a240eda9dfe741a46f2c01c9">mName</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a23e247a9b511eaa21e772d3ff3bb4b5f">mNextAutoHandle</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#a1ffe53c03eae391881bf2ba68110031f">mNextTagPointAutoHandle</a></td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a342fcd2c8c95309e12dea3c699f91c15">mOrigin</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a29e96975d05f528c597b93871088de8b">mRootBones</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#afdef34c49ee7a3b256672e3e4b183142">mSize</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#a48f36b22ae7ff40e31458c15ab238a03">mSkeleton</a></td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a3935b76c9f120dab0419734d990eccaa">mStateCount</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a542c24dc374d0ff8ba4ecdda99b5da06">optimiseAllAnimations</a>(bool preservingIdentityNodeTracks=false)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a0ac4960f2e4969be70ded84e35c7728d">postLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ab0e94a1f17f20b3e3c6f3cf4a5aa8096">postUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ac21645684d207f29513228e061dec765">preLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a350b287fa3e83a389221274f68760008">prepare</a>(bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a5e8f978cbb908c67a98d16556c8cd0ef">prepareImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a318dc51074007c20d68db9b40c70da08">preUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ab7a0b8de3a7e4d20fcfd84da41ac450e">reload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#a9492ba71234e8f4f8542f479e429f6d6">removeAllLinkedSkeletonAnimationSources</a>(void)</td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#aefd460fc15dbe5bb494e28b78c8bfde9">removeAnimation</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a3c49142f739ba8fb56d6e7b3db235fb7">removeListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a8e0d4478cbb8f44f638ae8d1d72ff3fb">reset</a>(bool resetManualBones=false)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#af16d869fa1c3671447a1e22ae6228242">Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a03c52d5285092f0a5d21ad83a0643814">Resource</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a3f7632e047bb6e65fff3c536612fedb7">setAnimationState</a>(const AnimationStateSet &amp;animSet)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae0a0007de944eb3c2f933a372a752b35">setBackgroundLoaded</a>(bool bl)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#ae1f1e2f2cb6ac088684d814023abcc36">setBindingPose</a>(void)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a0afe24842c40767f308ee7c2f04e999e">setBlendMode</a>(SkeletonAnimationBlendMode state)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ace884b65b722ead9b920b9abf27bf815">setParameter</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ae356913ccefbebc4f0119a0599a406fc">setParameterList</a>(const NameValuePairList &amp;paramList)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a61aa3348d59af939a143465cf40e5dc7">Skeleton</a>()</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a62473ff68d4c6522bb22872493b8c18c">Skeleton</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#a5d4af6edfc8037dc0b77d0ddb576892e">SkeletonInstance</a>(const SkeletonPtr &amp;masterCopy)</td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ad57e8c6f0793dde7d1b479361e55e419">StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#ac5bce34ee7f106703a20bc83553b219a">TagPointList</a> typedef</td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae229b1f58092109adef55bfc6f864d79">touch</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aa31bef1bfaa87731622e56f11b548e27">unload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#a8842e9e0e8ca541e62de4b2a263f4f51">unloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aa550fde0145a3a0ae0329beaf03f23e1">unprepareImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a089562812828920fe1d1a371acf393e7">~Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a5b6c6505768949ab0b9402e5aa130b5e">~Skeleton</a>()</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonInstance.html#a40bc8568f64b07ce7e54267319536234">~SkeletonInstance</a>()</td><td><a class="el" href="classOgre_1_1SkeletonInstance.html">Ogre::SkeletonInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#aa86a8941e57b203088797a4b28da8c4d">~StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
